Quassel IRC - Feature #1283

Highlight ignore feature
05/13/2014 01:04 AM - Yepoleb

Status: Resolved Start date: 05/13/2014
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.13.0

0S: Any

Description

I noticed that highlight regexes like "(?lidentified for) Yepoleb" don't work, because they don't have to match the full message. | think
this would be the easiest way to implement ignore highlights, but adding a new ignore type would work too and may be more user
friendly.

Related issues:

Related to Quassel IRC - Feature #989: Add ignore highlight option in a chann... Resolved 06/14/2010
Related to Quassel IRC - Feature #1358: Ignore highlights from certain users Resolved 05/21/2015
History

#1 - 09/14/2018 02:50 AM - genius3000
- Related to Feature #989: Add ignore highlight option in a channel's context menu added

#2 - 09/14/2018 02:53 AM - genius3000
- Status changed from New to Resolved
- Target version set to 0.13.0

- % Done changed from 0 to 100

This can be done in 0.13 (as of this comment, -rc1 is out) with remote highlights.
There's a 'Highlight Ignore Rules' tab, which can be used just like a highlight rule, but to not highlight. This should also be possible with some fancy
regex work in earlier versions, but we shouldn't have to get into that. :)

#3 - 09/14/2018 02:53 AM - genius3000
- Related to Feature #1358: Ignore highlights from certain users added
